searchData={"items":[{"type":"module","title":"Elemental","doc":"> A Tailwind and DaisyUI based Phoenix components library.\n\nProvides a set of components built on top of DaisyUI and Tailwind\nfor use with Elixir Phoenix.\n\nProvided components aim to behave as close as possible to plain HTML\nelements and follow to best of my abilities Phoenix' conventions.\n\nSome functionality requires small set of JavaScript present, this is\nkept to a minimal as possible.","ref":"Elemental.html"},{"type":"module","title":"Installation - Elemental","doc":"Add the Elemental to your application's dependencies in your `mix.exs`\n\n    {:elemental, \"~> 0.1.0\"}\n\nUpdate your `app.js` to add the necessary hooks (required for JavaScript\nbased features)\n\n```javascript\n// assets/js/app.js\n\n// ... other imports\nimport * as Hooks from \"elemental\"\n\nconst hooks = { /* the hooks your app uses */ }\n\nlet liveSocket = new LiveSocket(\"/live\", Socket, { hooks, ... })\n```","ref":"Elemental.html#module-installation"},{"type":"module","title":"Usage - Elemental","doc":"In your application you can simply `use` `Elemental` in to import\nall the components provided\n\n    defmodule MyAppWeb.Component do\n      use MyAppWeb, :html\n      use Elemental # now you can use components directly\n\n      def my_component(assigns) do\n      ~H\"\"\"\n      <!-- you can now Elemental's components here -->\n      \"\"\"\n      end\n    end\n\nAlternatively, you can import specific components as needed.","ref":"Elemental.html#module-usage"},{"type":"module","title":"Elemental.Actions.Button","doc":"> A simple button element with support for \"links\"","ref":"Elemental.Actions.Button.html"},{"type":"module","title":"Usage - Elemental.Actions.Button","doc":"<.button type=\"submit\">A button</.button>\n    <.button href=\"example.org\">A button looking link</.button>\n    <.button navigate={~p\"/live/navigate\"}>A button looking link</.button>\n    <.button patch={~p\"/live/patch\"}>A button looking link</.button>","ref":"Elemental.Actions.Button.html#module-usage"},{"type":"module","title":"Caveats - Elemental.Actions.Button","doc":"Underlying implementation from Phoenix doesn't pass role attribute\nso from an accessibility POV it may not be very ideal to use\nlinks disguised as buttons.","ref":"Elemental.Actions.Button.html#module-caveats"},{"type":"function","title":"Elemental.Actions.Button.button/1","doc":"> The primary button component.\n\nThis can also be used with links that require to appear as buttons\nby delegating over to `Phoenix.Component.link/1` while retaining\nit's general style.","ref":"Elemental.Actions.Button.html#button/1"},{"type":"function","title":"Attributes - Elemental.Actions.Button.button/1","doc":"* `color` (`:string`) - .Must be one of `\"ghost\"`, `\"neutral\"`, `\"primary\"`, `\"secondary\"`, `\"accent\"`, `\"info\"`, `\"success\"`, `\"warning\"`, or `\"error\"`.\n* `size` (`:string`) - .Must be one of `\"xs\"`, `\"sm\"`, `\"md\"`, `\"lg\"`, or `\"xl\"`.\n* `outline` (`:boolean`) - . Defaults to `false`.\n* `dashed` (`:boolean`) - . Defaults to `false`.\n* `soft` (`:boolean`) - . Defaults to `false`.\n* `wide` (`:boolean`) - . Defaults to `false`.\n* `shape` (`:string`) - .Must be one of `\"square\"`, or `\"circle\"`.\n* `type` (`:string`) - The button type, this is ignored if `href` is passed. Defaults to `nil`.\n* `href` (`:string`) - Create a traditional browser navigation link displayed as a button.\n\n  > Underlying element will use `Phoenix.Component.link/1` if defined.\n\n* `navigate` (`:string`) - Create a live navigation link displayed as a button.\n\n  > Underlying element will use `Phoenix.Component.link/1` if defined.\n\n* `patch` (`:string`) - Create a live patch link displayed as a button.\n\n  > Underlying element will use `Phoenix.Component.link/1` if defined.\n\n* `replace` (`:boolean`) - Only used with `:href`, `:navigate`, or `:patch`.\n\n  > See `Phoenix.Component.link/1` for details.\n\n  Defaults to `false`.\n* `method` (`:string`) - Only used with `:href`, `:navigate`, or `:patch`.\n\n  > See `Phoenix.Component.link/1` for details.\n\n  Defaults to `\"get\"`.\n* `csrf_token` (`:boolean`) - Only used with `:href`, `:navigate`, or `:patch`.\n\n  > See `Phoenix.Component.link/1` for details.\n\n  Defaults to `true`.\n* Global attributes are accepted.","ref":"Elemental.Actions.Button.html#button/1-attributes"},{"type":"function","title":"Slots - Elemental.Actions.Button.button/1","doc":"* `inner_block` (required)","ref":"Elemental.Actions.Button.html#button/1-slots"},{"type":"module","title":"Elemental.Actions.Modal","doc":"Implements a modal component based on ` ` HTML element and Daisy's\nmodal component. The component relies on the browser implementation for\nit's main/core implementation and provides JavaScript handlers to\nallow for controlling the modals from Elixir's side.\n\nThe modal can be closed by either pressing escape, by clicking outside of\nthe modal, or by clicking on the close button within it.\n\nClose behaviour implemented relies the browser's imeplementation of the\n` ` component.","ref":"Elemental.Actions.Modal.html"},{"type":"module","title":"Usage - Elemental.Actions.Modal","doc":"<.modal>\n       Title \n       Press ESC key, click outside, or click on ✕ button to close \n    </.modal>","ref":"Elemental.Actions.Modal.html#module-usage"},{"type":"module","title":"Server side control - Elemental.Actions.Modal","doc":"You can send the events `el-show-modal` or `el-hide-modal` to show/hide the\nmodal based on the server side logic. This requires JavaScript working\nsince it relies on custom event listeners.","ref":"Elemental.Actions.Modal.html#module-server-side-control"},{"type":"function","title":"Elemental.Actions.Modal.hide_modal/2","doc":"Hide a modal based on it's ID.\n\n> Requires JavaScript enabled and Elemental's event listeners added.","ref":"Elemental.Actions.Modal.html#hide_modal/2"},{"type":"function","title":"Elemental.Actions.Modal.modal/1","doc":"> Primary modal component.","ref":"Elemental.Actions.Modal.html#modal/1"},{"type":"function","title":"Attributes - Elemental.Actions.Modal.modal/1","doc":"* `id` (`:string`) - The ID of the modal. Defaults to a random value.\n* `open` (`:boolean`) - If true opens the modal on mount. Defaults to `false`.\n* `show` (`:boolean`) - If true enables `open`. For compatibility with Phoenix' implementation.\n* `class` (`:any`) - Additional CSS classes to add to the modal box. Defaults to `nil`.\n* Global attributes are accepted.","ref":"Elemental.Actions.Modal.html#modal/1-attributes"},{"type":"function","title":"Elemental.Actions.Modal.show_modal/2","doc":"Show a modal based on it's ID.\n\n> Requires JavaScript enabled and Elemental's event listeners added.","ref":"Elemental.Actions.Modal.html#show_modal/2"},{"type":"module","title":"Elemental.Actions.Swap","doc":"> A simple swap component.\n\nAllows for alternative between two HTML elements (or subtrees)\nwhen clicked. Comprised of an underlying checkbox to control\nthe state of the which element to show.","ref":"Elemental.Actions.Swap.html"},{"type":"module","title":"Usage - Elemental.Actions.Swap","doc":"<.swap>\n      <:on>ON</:on>\n      <:off>OFF</:off>\n    </.swap>","ref":"Elemental.Actions.Swap.html#module-usage"},{"type":"function","title":"Elemental.Actions.Swap.swap/1","doc":"> The primary swap component.","ref":"Elemental.Actions.Swap.html#swap/1"},{"type":"function","title":"Attributes - Elemental.Actions.Swap.swap/1","doc":"* `animate` (`:string`) - Control the animation to use when doing the swap. Defaults to `\"default\"`.\n* Global attributes are accepted.","ref":"Elemental.Actions.Swap.html#swap/1-attributes"},{"type":"function","title":"Slots - Elemental.Actions.Swap.swap/1","doc":"* `on` (required) - The required `on` state content.\n* `off` (required) - The required `off` state content.\n\n  If `indeterminate` slot is not given this will be the default\n  state the component starts in.\n\n* `indeterminate` - An optional `indeterminate` state content.\n\n  If given the inner checkbox be immediately set to `indeterminate`\n  once it first mounts.","ref":"Elemental.Actions.Swap.html#swap/1-slots"},{"type":"module","title":"Elemental.DataDisplay.Accordion","doc":"Implements a vertical stacking accordion component, allowing the display of\ncontent in a stack where only one is showing at a given time.\n\nThis is internally build (inline with Daisy) on top of `Elemental.DataDisplay.Collapse`\ncomponent using the collapse's grouping feature implemented by Elemental.","ref":"Elemental.DataDisplay.Accordion.html"},{"type":"module","title":"Usage - Elemental.DataDisplay.Accordion","doc":"<.accordion>\n      <:item title=\"How do I create an account?\">\n        Click the \"Sign Up\" button in the top right corner and follow the registration process.\n      </:item>\n      <:item title=\"I forgot my password. What should I do?\">\n        Click on \"Forgot Password\" on the login page and follow the instructions sent to your email.\n      </:item>\n      <:item title=\"How do I update my profile information?\">\n        Go to \"My Account\" settings and select \"Edit Profile\" to make changes.\n      </:item>\n    </.accordion>","ref":"Elemental.DataDisplay.Accordion.html#module-usage"},{"type":"module","title":"Notes - Elemental.DataDisplay.Accordion","doc":"Usage of slots instead of components is intentional to limit flexibility to allow\nfor the component to be more streamlined and have a clearer API that doesn't\ndo any magic behind the scenes. For more complex use cases you can\ndirectly use `Elemental.DataDisplay.Collapse`.","ref":"Elemental.DataDisplay.Accordion.html#module-notes"},{"type":"function","title":"Elemental.DataDisplay.Accordion.accordion/1","doc":"> The primary accordion component.","ref":"Elemental.DataDisplay.Accordion.html#accordion/1"},{"type":"function","title":"Attributes - Elemental.DataDisplay.Accordion.accordion/1","doc":"* `name` (`:string`) - The name of the accordion. This must be unique in order to behave correctly\n  and internally is passed to `Elemental.DataDisplay.Collapse.collapse/1`\n  `group` attribute.\n\n  Defaults to `\"accordion\"`.\n* `class` (`:any`) - Additional classes to style the wrapper container. Defaults to `nil`.\n* `indicator` (`:string`) - Chose the indicator to use to showcase if the section is shown/hidden. Defaults to `\"none\"`.","ref":"Elemental.DataDisplay.Accordion.html#accordion/1-attributes"},{"type":"function","title":"Slots - Elemental.DataDisplay.Accordion.accordion/1","doc":"* `item` (required) - The specific items to show in the accordion. Internally these will translate\n  to `Elemental.DataDisplay.Collapse.collapse/1` components for each item.\n\n  Title is passed under a ` ` to the `:title` slot of the collapse component\n  whereas the item itself is used as the body of the collapse component.\n\n  Accepts attributes:\n\n  * `title` (`:string`) (required) - The title of the collapsible section.\n  * `title_class` (`:string`) - Any additional classes to pass title.\n  * `class` (`:any`) - Additional classes to pass to the internal collapse component.","ref":"Elemental.DataDisplay.Accordion.html#accordion/1-slots"},{"type":"module","title":"Elemental.DataDisplay.Collapse","doc":"A basic component to show or hide content. This is the underlying component\nused to build the `Elemental.DataDisplay.Accordion` component.","ref":"Elemental.DataDisplay.Collapse.html"},{"type":"module","title":"Usage - Elemental.DataDisplay.Collapse","doc":"<.collapse>\n      <:title>How do I create an account?</:title>\n      Click the \"Sign Up\" button in the top right corner and follow the registration process.\n    </.collapse>","ref":"Elemental.DataDisplay.Collapse.html#module-usage"},{"type":"function","title":"Elemental.DataDisplay.Collapse.collapse/1","doc":"> The primary collapse component.","ref":"Elemental.DataDisplay.Collapse.html#collapse/1"},{"type":"function","title":"Attributes - Elemental.DataDisplay.Collapse.collapse/1","doc":"* `class` (`:any`) - Additional classes to pass the collapse component. Defaults to `nil`.\n* `indicator` (`:string`) - Specify which indicator to use to showcase the collapse is shown/hidden. Defaults to `\"none\"`.\n* `group` (`:string`) - If given bounds the collapse to a hidden radio button with the name (i.e. grouped by)\n  this value. This is useful if you wanna bind multiple collapses where only one\n  is shown, e.g. `Elemental.DataDisplay.Accordion.accordion/1`.\n\n  Defaults to `nil`.\n* `click-to-close` (`:boolean`) - Enables closing the collapse by click instead of losing focus.\n\n  Internally adds a hidden checkbox bound to the collapse's state.\n\n  > Ignored if `group` attribute is passed.\n\n  Defaults to `false`.","ref":"Elemental.DataDisplay.Collapse.html#collapse/1-attributes"},{"type":"function","title":"Slots - Elemental.DataDisplay.Collapse.collapse/1","doc":"* `title` (required) - The title of the collapse section.\n* `inner_block` (required) - The content to show or hide in the collapse.","ref":"Elemental.DataDisplay.Collapse.html#collapse/1-slots"},{"type":"module","title":"Elemental.DataDisplay.Status","doc":"","ref":"Elemental.DataDisplay.Status.html"},{"type":"function","title":"Elemental.DataDisplay.Status.status/1","doc":"","ref":"Elemental.DataDisplay.Status.html#status/1"},{"type":"function","title":"Attributes - Elemental.DataDisplay.Status.status/1","doc":"* `size` (`:string`) - .Must be one of `\"xs\"`, `\"sm\"`, `\"md\"`, `\"lg\"`, or `\"xl\"`.\n* `color` (`:string`) - .Must be one of `\"ghost\"`, `\"neutral\"`, `\"primary\"`, `\"secondary\"`, `\"accent\"`, `\"info\"`, `\"success\"`, `\"warning\"`, or `\"error\"`.\n* `animate` (`:string`) - .Must be one of `\"ping\"`, or `\"pulse\"`.","ref":"Elemental.DataDisplay.Status.html#status/1-attributes"},{"type":"module","title":"Elemental.DataDisplay.Table","doc":"> Tabular data display components.","ref":"Elemental.DataDisplay.Table.html"},{"type":"function","title":"Elemental.DataDisplay.Table.body/1","doc":"","ref":"Elemental.DataDisplay.Table.html#body/1"},{"type":"function","title":"Attributes - Elemental.DataDisplay.Table.body/1","doc":"* `data` (`:any`) (required) - .\n* `row_id` (`:any`) - . Defaults to `nil`.","ref":"Elemental.DataDisplay.Table.html#body/1-attributes"},{"type":"function","title":"Slots - Elemental.DataDisplay.Table.body/1","doc":"* `cell` - . Accepts attributes:\n\n  * `id` (`:string`) - The identifier of this specific cell in the header row.\n  * `class` (`:string`) - The main CSS classes that will style this specific cell in the header row.","ref":"Elemental.DataDisplay.Table.html#body/1-slots"},{"type":"function","title":"Elemental.DataDisplay.Table.header/1","doc":"","ref":"Elemental.DataDisplay.Table.html#header/1"},{"type":"function","title":"Attributes - Elemental.DataDisplay.Table.header/1","doc":"* Global attributes are accepted.","ref":"Elemental.DataDisplay.Table.html#header/1-attributes"},{"type":"function","title":"Slots - Elemental.DataDisplay.Table.header/1","doc":"* `cell` - . Accepts attributes:\n\n  * `id` (`:string`) - The identifier of this specific cell in the header row.\n  * `class` (`:string`) - The main CSS classes that will style this specific cell in the header row.","ref":"Elemental.DataDisplay.Table.html#header/1-slots"},{"type":"function","title":"Elemental.DataDisplay.Table.table/1","doc":"","ref":"Elemental.DataDisplay.Table.html#table/1"},{"type":"function","title":"Attributes - Elemental.DataDisplay.Table.table/1","doc":"* Global attributes are accepted.","ref":"Elemental.DataDisplay.Table.html#table/1-attributes"},{"type":"function","title":"Slots - Elemental.DataDisplay.Table.table/1","doc":"* `inner_block` (required)","ref":"Elemental.DataDisplay.Table.html#table/1-slots"},{"type":"module","title":"Elemental.DataInput.Dropdown","doc":"> An abstraction around DaisyUI's dropdown.\n\nThink of it as a more advanced `Elemental.DataInput.Select` with support for\nmulti-select and searching out of the box.\n\nThis is implement in a manner that works drop-in in forms and uses\nonly dead/stateless components with minimal JavaScript.","ref":"Elemental.DataInput.Dropdown.html"},{"type":"module","title":"Usage - Elemental.DataInput.Dropdown","doc":"Make sure in your application to include the required JavaScript hooks\nrequired for the main behaviour, found in `dropdown.js`.\n\nSee the [hooks section](#javascript-hooks) for more details.\n\nMost basic usage is done by simply passing it `options`\n\n    <.dropdown options={[\"Foo\", \"Bar\"]}/>\n\nSee `dropdown/1` for details on the support properties and their behaviour.","ref":"Elemental.DataInput.Dropdown.html#module-usage"},{"type":"module","title":"JavaScript hooks - Elemental.DataInput.Dropdown","doc":"This implementation requires JavaScript hooks for it's main behaviour,\nutilizes 3 main hooks\n\n- `ElementalDropdownSearch` implementing filtering/search behaviour when enabled.\n- `ElementalDropdownSingleItem` implementing prompt changes when using single item mode.\n- `ElementalDropdownMultiItem` implementing prompt changes when using multi item mode.","ref":"Elemental.DataInput.Dropdown.html#module-javascript-hooks"},{"type":"module","title":"Implementation considerations - Elemental.DataInput.Dropdown","doc":"The component is implemented as a dead/stateless component as to simplify it's\nusage and avoid complexities associated with live/stateful components.\n\nThis comes from my dissatisfaction with implementations I found which have behaviours\nthat I kept finding to be non-obvious and odd, from how they interact with events\nsent to parent vs themselves, along with how they handle their states.\n\nAdditionally the implementation aims to be drop-in compatible with forms in general\nas well as how forms are handled in Phoenix/LiveView without requiring much fuss.\n\nThe behaviour relies heavily on the provided minimal JavaScript hooks, as well as\nrelying on native form behaviours with how forms deal with radio buttons and\ncheckboxes.","ref":"Elemental.DataInput.Dropdown.html#module-implementation-considerations"},{"type":"function","title":"Elemental.DataInput.Dropdown.dropdown/1","doc":"> The primary dropdown component.\n\nThis dropdown attempts to provide a fully featured dropdown/select element\nwith native support for searching along with multiple select mode out\nof the box.\n\n> The API provided here works drop-in with Elemental's select\n> component (see `Elemental.DataInput.Select`).","ref":"Elemental.DataInput.Dropdown.html#dropdown/1"},{"type":"function","title":"Select compatibility - Elemental.DataInput.Dropdown.dropdown/1","doc":"While this component provides 1-1 API compatibility the the more simpler\n`Elemental.DataInput.Select.select/1`, augmenting it with additional features\nand interactivity, there's the caveat that it does not yet\nsupport option groups.","ref":"Elemental.DataInput.Dropdown.html#dropdown/1-select-compatibility"},{"type":"function","title":"Attributes - Elemental.DataInput.Dropdown.dropdown/1","doc":"* `options` (`:list`) (required) - The list of values to select between. This is required to either be a list of\n  strings, or a list of string tuples.","ref":"Elemental.DataInput.Dropdown.html#dropdown/1-attributes"},{"type":"function","title":"List item types - Elemental.DataInput.Dropdown.dropdown/1","doc":"- If given as a list of strings (`[String.t]`) each option will use that value\n    as both it's label and value sent to from the dropdown.\n  - If give as a list of tuples (`[{String.t, String.t}]`), those tuples are expected\n    to be two strings, the first being the label to use, while the second is\n    expected to be the value to send from the dropdown.\n  - Mixing the two forms is allowed.\n\n* `prompt` (`:string`) - The prompt to display for the the dropdown.\n\n  This value is replaced when a selection is made with the selected item's label\n  (requires JavaScript enabled in the browser).\n\n  Defaults to `nil`.\n* `name` (`:string`) - The name of the dropdown, if not given a random value is selected.\n* `value` (`:any`) - A value that is selected currently by the component.\n\n  Useful for either preselecting items or to maintaining selected\n  items state across rerenders.","ref":"Elemental.DataInput.Dropdown.html#dropdown/1-list-item-types"},{"type":"function","title":"Type - Elemental.DataInput.Dropdown.dropdown/1","doc":"- The type is required to either be a single string or a list of strings,\n    the values of it should correspond to the value (not label) of the\n    options (if using a list of strings then it's the same as label).\n  - If the type is single select and if the value is a list of more than one\n    item this will raise an error.\n\n  Defaults to `nil`.\n* `multi` (`:boolean`) - To enable selection of multiple values, passed to consumer as a list. Defaults to `false`.\n* `multiple` (`:boolean`) - Only present for compatibility, if true enables `multi`. Defaults to `false`.\n* `searchable` (`:boolean`) - To enable searching the options of the dropdown.\n\n  Search is performed by looking through the labels for the given\n  input as substring to match on, if it doesn't match the option\n  is disabled, deselected, and hidden.\n\n  #### Notes:\n  - Search is case-insensitive.\n  - This features JavaScript enabled in the browser along with Hooks enabled.\n\n  Defaults to `false`.\n* `searchable-inline` (`:boolean`) - To enable inlining of the search field for the dropdown.\n\n  > Implies `searchable` if enabled.\n\n  Defaults to `false`.\n* `align` (`:string`) - Specify the alignment for the dropdown. Defaults to `\"start\"`.\n* `from` (`:string`) - Specify where the dropdown will appear from. Defaults to `\"bottom\"`.\n* `hover` (`:boolean`) - To enable opening the dropdown on hover. Defaults to `false`.\n* `open` (`:boolean`) - To open the dropdown immediately. Defaults to `false`.\n* `color` (`:string`) - The dropdown prompt container color.Must be one of `\"ghost\"`, `\"neutral\"`, `\"primary\"`, `\"secondary\"`, `\"accent\"`, `\"info\"`, `\"success\"`, `\"warning\"`, or `\"error\"`.\n* `size` (`:string`) - The dropdown prompt container size.Must be one of `\"xs\"`, `\"sm\"`, `\"md\"`, `\"lg\"`, or `\"xl\"`.\n* `class` (`:string`) - Additional CSS classes to pass to the dropdown.\n\n  Those will be applied to the the dropdown prompt container since it's\n  the \"visible\"/\"interactive\" bit of the dropdown.\n\n  Defaults to `nil`.\n* Global attributes are accepted.","ref":"Elemental.DataInput.Dropdown.html#dropdown/1-type"},{"type":"module","title":"Elemental.DataInput.Field","doc":"Building on top of `Elemental.DataInput.Input`, `Elemental.DataInput.Dropdown`, and\n`Elemental.DataInput.Select`, provide a wrapped component that easy to\nand decorate as needed.","ref":"Elemental.DataInput.Field.html"},{"type":"module","title":"Usage - Elemental.DataInput.Field","doc":"<.field /> # simple text input as a field\n    <.field type=\"dropdown\" prompt=\"My prompt\" /> # now it's a prompt\n\nFields are mostly intended for use with forms, and they offer  simple\nintegration (similar to Phoenix' generated core components);\n\n    <.form for={@form} phx-change=\"change\" phx-submit=\"submit\">\n      <.field for={@form[:my_field]} type=\"dropdown\" prompt=\"My prompt\" />\n    </.form>\n\nLabels can be provided to a field as slots configuring them;\n\n    # A text field with a label\n    <.field>\n      <:label value=\"My label\"/>\n    </.field>\n    # Labels can be place at the end of the field too\n    <.field>\n      <:label value=\"My label\" align=\"end\"/>\n    </.field>\n\nMore complex patterns are supported using \"overlays\", an overlay\nis HTML passed externally into the component;\n\n    <.field type=\"email\" placeholder=\"email@example.org\">\n      <:overlay>\n                \n      </:overlay>\n    </.field>","ref":"Elemental.DataInput.Field.html#module-usage"},{"type":"module","title":"Implementation - Elemental.DataInput.Field","doc":"The input itself is rendered within a ` ` element and wrapped\nwith configurable overlays allowing for external customizability.\nDetails on overlay documentation and overall field structure\nsee `Elemental.DataInput.Field.field/1`.\n\nAll attributes defined in `Elemental.DataInput.Input.input/1`, `Elemental.DataInput.Dropdown.dropdown/1`,\nand `Elemental.DataInput.Select.select/1` are supported by fields and are just passed\nover to their respective implementation.","ref":"Elemental.DataInput.Field.html#module-implementation"},{"type":"function","title":"Elemental.DataInput.Field.field/1","doc":"> The primary form field component.\n\nThis component wraps `Elemental.DataInput.Input`, `Elemental.DataInput.Dropdown`, and\n`Elemental.DataInput.Select`  in a label and offers simplified\ncustomizability and form integration.\n\nThe component can be configured via overlays passed as slots from\nthe external consumers of it. Overlays allow for inserting\nHTML element to customize the field.","ref":"Elemental.DataInput.Field.html#field/1"},{"type":"function","title":"Structure - Elemental.DataInput.Field.field/1","doc":"The general structure of the render HTML follows\n\n     \n       \n        <%# Overlays defined as align=\"start\" from=\"edge\" %>\n        <%# Overlays defined as align=\"start\" from=\"center\" %>\n        <%# The actual field, be it input, dropdown, or select %>\n        <%# Overlays defined as align=\"end\" from=\"center\" %>\n        <%# Overlays defined as align=\"end\" from=\"edge\" %>\n       \n       {error} \n     \n\nOverlays are rendered in the order they appear in the `align`/`from`\nposition configured for them, labels are treated the same as\noverlays are follow the same rules.\n\n> Labels are nothing more than a shorthand helper for overlays that;\n>\n> 1. They have different defaults for `align` and `from`.\n> 1. They don't allow for arbitrary HTML and always render the given value\n>    in a ` ` element with appropriate styling.","ref":"Elemental.DataInput.Field.html#field/1-structure"},{"type":"function","title":"Attributes - Elemental.DataInput.Field.field/1","doc":"* `type` (`:string`) - > The form field's type.","ref":"Elemental.DataInput.Field.html#field/1-attributes"},{"type":"function","title":"Types - Elemental.DataInput.Field.field/1","doc":"- `dropdown` powered by `Elemental.DataInput.Dropdown.dropdown/1`.\n  - `select` powered by `Elemental.DataInput.Select.select/1`.\n  - Any value supported by `Elemental.DataInput.Input.input/1`.\n\n  Defaults to `\"text\"`.\n* `for` (`Phoenix.HTML.FormField`) - Allows for more seamless integration into Elixir forms.\n\n  Used to determine the `name`, `value`, and `errors` fields when\n  building the field.\n\n  > If set the fields `name`, `value`, and `errors` are **ignored**.\n\n* `name` (`:string`) - The name of the field, if not given a random value is selected.\n\n  > **Ignored** of `for` attribute is set.\n\n* `value` (`:any`) - The value of the field, must either be a string or a list of string.\n\n  > **Ignored** of `for` attribute is set.","ref":"Elemental.DataInput.Field.html#field/1-types"},{"type":"function","title":"Types - Elemental.DataInput.Field.field/1","doc":"- `dropdown` - as defined in `Element.Dropdown.dropdown/1`\n  - `select` - as defined in `Element.Select.select/1`\n  - Otherwise as defined in `Element.Input.input/1`\n\n* `errors` (`:list`) - A list of errors to render in the field, these values will be passed\n  through the `error-translator` attribute.\n\n  > **Ignored** of `for` attribute is set.\n\n  Defaults to `[]`.\n* `error-translator` (`{:fun, 1}`) - A function of single arity used to allow errors to be translated\n  by consumer. Defaults to `Function.identity/1`.\n\n  Translator must return a string, or other HTML safe values as an outcome\n  as the result will be rendered inside a ` `.\n\n  Defaults to `&Function.identity/1`.\n* `disable-validator` (`:boolean`) - Disables the validator component on the field. Defaults to `false`.\n* `color` (`:string`) - The fields's color.Must be one of `\"ghost\"`, `\"neutral\"`, `\"primary\"`, `\"secondary\"`, `\"accent\"`, `\"info\"`, `\"success\"`, `\"warning\"`, or `\"error\"`.\n* `size` (`:string`) - The fields's size.Must be one of `\"xs\"`, `\"sm\"`, `\"md\"`, `\"lg\"`, or `\"xl\"`.\n* `class` (`:string`) - Additional CSS classes to pass to the field. Defaults to `nil`.\n* `multi` (`:boolean`) - See `Elemental.DataInput.Dropdown.dropdown/1`. Defaults to `false`.\n* `searchable` (`:boolean`) - See `Elemental.DataInput.Dropdown.dropdown/1`. Defaults to `false`.\n* `searchable-inline` (`:boolean`) - See `Elemental.DataInput.Dropdown.dropdown/1`. Defaults to `false`.\n* `hover` (`:boolean`) - See `Elemental.DataInput.Dropdown.dropdown/1`. Defaults to `false`.\n* `open` (`:boolean`) - See `Elemental.DataInput.Dropdown.dropdown/1`. Defaults to `false`.\n* `align` (`:string`) - See `Elemental.DataInput.Dropdown.dropdown/1`. Defaults to `\"start\"`.\n* `from` (`:string`) - See `Elemental.DataInput.Dropdown.dropdown/1`. Defaults to `\"bottom\"`.\n* `checked` (`:boolean`) - See `Elemental.DataInput.Input.input/1`. Defaults to `nil`.\n* `list` (`:string`) - See `Elemental.DataInput.Input.input/1`. Defaults to `nil`.\n* `max` (`:string`) - See `Elemental.DataInput.Input.input/1`. Defaults to `nil`.\n* `maxlength` (`:string`) - See `Elemental.DataInput.Input.input/1`. Defaults to `nil`.\n* `min` (`:string`) - See `Elemental.DataInput.Input.input/1`. Defaults to `nil`.\n* `minlength` (`:string`) - See `Elemental.DataInput.Input.input/1`. Defaults to `nil`.\n* `pattern` (`:string`) - See `Elemental.DataInput.Input.input/1`. Defaults to `nil`.\n* `placeholder` (`:string`) - See `Elemental.DataInput.Input.input/1`. Defaults to `nil`.\n* `readonly` (`:boolean`) - See `Elemental.DataInput.Input.input/1`. Defaults to `nil`.\n* `step` (`:string`) - See `Elemental.DataInput.Input.input/1`. Defaults to `nil`.\n* `multiple` (`:boolean`) - See `Elemental.DataInput.Dropdown.dropdown/1` and `Elemental.DataInput.Input.input/1`.\n* `options` (`:list`) - See `Elemental.DataInput.Dropdown.dropdown/1` and `Elemental.DataInput.Select.select/1`.\n* `prompt` (`:string`) - See `Elemental.DataInput.Dropdown.dropdown/1` and `Elemental.DataInput.Select.select/1`. Defaults to `nil`.","ref":"Elemental.DataInput.Field.html#field/1-types"},{"type":"function","title":"Slots - Elemental.DataInput.Field.field/1","doc":"* `overlay` - Allows for inserting inner components that make up the `field`,\n  useful for labeling or other customizations around the\n  field itself.\n\n  Accepts attributes:\n\n  * `align` (`:string`) - Alignment of the label, defaults to `start`.Must be one of `\"start\"`, or `\"end\"`.\n  * `from` (`:string`) - The placement of the label relative to other overlays, defaults to `center`.Must be one of `\"edge\"`, or `\"center\"`.\n* `label` - A shorthand for `overlay`s meant for labeling, changes defaults\n  and simplifies things by defaulting the label class.\n\n  Effectively a shorthand for;\n\n      <:overlay>\n         {@value} \n      </:overlay>\n\n  Accepts attributes:\n\n  * `value` (`:string`) (required) - The value to display in the label.\n  * `align` (`:string`) - Alignment of the label, defaults to `start`.Must be one of `\"start\"`, or `\"end\"`.\n  * `from` (`:string`) - The placement of the label relative to other overlays, defaults to `edge`.Must be one of `\"edge\"`, or `\"center\"`.","ref":"Elemental.DataInput.Field.html#field/1-slots"},{"type":"module","title":"Elemental.DataInput.Input","doc":"> An abstraction on top of HTML's input element.\n\nThis only concerns itself with being a building block core component and\ndirectly abstracts `input` HTML element. For more sophisticated usage\nyou may want to look at `Elemental.DataInput.Field` which provides a more\ncomplete complex component for easier to use/build forms.","ref":"Elemental.DataInput.Input.html"},{"type":"module","title":"Usage - Elemental.DataInput.Input","doc":"<.input />\n    <.input name=\"some-text\" />\n    <.input type=\"checkbox\" name=\"my-checkbox\" />\n\nAdditionally shorthand functions are provided for checkbox and radio\n\n    <.radio />\n    <.checkbox />","ref":"Elemental.DataInput.Input.html#module-usage"},{"type":"function","title":"Elemental.DataInput.Input.checkbox/1","doc":"Shorthand for `<.input type=\"checkbox\" />`","ref":"Elemental.DataInput.Input.html#checkbox/1"},{"type":"function","title":"Attributes - Elemental.DataInput.Input.checkbox/1","doc":"* `name` (`:string`) - The name of the checkbox, if not given a random value is selected.\n* `value` (`:string`) - The value of the checkbox, sent to the form if select. Defaults to `nil`.\n* `checked` (`:boolean`) - The checked flag for the checkbox. Defaults to `nil`.\n* `color` (`:string`) - The checkbox's color.Must be one of `\"ghost\"`, `\"neutral\"`, `\"primary\"`, `\"secondary\"`, `\"accent\"`, `\"info\"`, `\"success\"`, `\"warning\"`, or `\"error\"`.\n* `size` (`:string`) - The checkbox's size.Must be one of `\"xs\"`, `\"sm\"`, `\"md\"`, `\"lg\"`, or `\"xl\"`.\n* `class` (`:any`) - Additional CSS classes to pass to the checkbox. Defaults to `nil`.\n* Global attributes are accepted. Pass arbitrary attributes over to the checkbox.","ref":"Elemental.DataInput.Input.html#checkbox/1-attributes"},{"type":"function","title":"Elemental.DataInput.Input.input/1","doc":"> A simple abstraction on top of basic HTML input.\n\nThis is a super simplistic input component intended to be used\nas a building block for other Elemental components to use.\n\nFor complex use-cases with forms and other variants of inputs\nyou may want to visit `Elemental.DataInput.Field.field/1` component\nwhich provides additional features tailored for forms.","ref":"Elemental.DataInput.Input.html#input/1"},{"type":"function","title":"Type related notes - Elemental.DataInput.Input.input/1","doc":"Types of `button`, `reset`, and `submit` are omitted from supported\ntypes, for button usages use `Elemental.Actions.Button.button/1` instead.\n\nFor live file uploads, see `Phoenix.Component.live_file_input/1`\ninstead of the `file` type.","ref":"Elemental.DataInput.Input.html#input/1-type-related-notes"},{"type":"function","title":"Attributes - Elemental.DataInput.Input.input/1","doc":"* `type` (`:string`) - > The input component's type.\n\n  While we support `button`, `reset`, and `submit` types, those are\n  more for completeness and are not recommended for use per MDN\n  recommendations, prefer the use `Elemental.Actions.Button` instead.\n\n  Defaults to `\"text\"`.\n* `name` (`:string`) - The name of the input, if not given a random value is selected.\n* `value` (`:string`) - The value of the input.","ref":"Elemental.DataInput.Input.html#input/1-attributes"},{"type":"function","title":"Value per type - Elemental.DataInput.Input.input/1","doc":"- `checkbox` - the data to submit if checked, arbitrary string.\n  - `color` - always a string which contains a 7-character string specifying\n    an RGB color in hexadecimal format. While you can input the color in\n    either upper- or lower-case, it will be stored in lower-case form.\n    The value is never in any other form, and is never empty.\n  - `email` - the email string;\n      1. An empty string (\"\") indicating that the user did not enter a value\n         or that the value was removed.\n      1. A single properly-formed email address. This doesn't necessarily mean\n         the email address exists, but it is at least formatted correctly.\n         This means `username@domain` or `username@domain.tld`.\n      1. If `multiple` is enabled the value can be a list of properly-formed\n         comma-separated email addresses. Any trailing and leading\n         whitespace is removed from each address in the list.\n\n\n  - `date` - a possible date string in the format `yyyy-mm-dd`.\n  - `datetime-local` - a valid datetime string that follows the\n    format `YYYY-MM-DDTHH:mm`.\n  - `month` - a valid string in `yyyy-MM` format.\n  - `number` - a valid number.\n  - `range` - a valid number.\n  - `time` - a valid time in `HH:mm` format.\n  - `week` - a valid week in `YYYY-W ` format.\n\n  Defaults to `nil`.\n* `color` (`:string`) - The input's color.Must be one of `\"ghost\"`, `\"neutral\"`, `\"primary\"`, `\"secondary\"`, `\"accent\"`, `\"info\"`, `\"success\"`, `\"warning\"`, or `\"error\"`.\n* `size` (`:string`) - The input's size class to use.Must be one of `\"xs\"`, `\"sm\"`, `\"md\"`, `\"lg\"`, or `\"xl\"`.\n* `class` (`:any`) - Additional CSS classes to pass to the input. Defaults to `nil`.\n* `checked` (`:boolean`) - The checked flag for checkboxes and radios. Defaults to `nil`.\n* `list` (`:string`) - The values of the list attribute is the `id` of a ` `\n  element located in the same document.\n\n  Defaults to `nil`.\n* `max` (`:string`) - The maximum value allowed for types that support it.\n\n  If both the `max` and `min` attributes are set, this value must\n  greater than or equal to the `min` attribute.","ref":"Elemental.DataInput.Input.html#input/1-value-per-type"},{"type":"function","title":"Value per type - Elemental.DataInput.Input.input/1","doc":"- `date` - a possible date string in the format `yyyy-mm-dd`.\n  - `datetime-local` - a valid datetime string that follows the\n    format `YYYY-MM-DDTHH:mm`.\n  - `month` - a valid string in `yyyy-MM` format.\n  - `number` - a valid number.\n  - `range` - a valid number.\n  - `time` - a valid time in `HH:mm` format.\n  - `week` - a valid week in `YYYY-W ` format.\n\n\n  > Invalid values imply no `max` value.\n\n  Defaults to `nil`.\n* `maxlength` (`:string`) - The maximum string length (measured in UTF-16 code units) that the user can\n  enter into the input. This must be an integer value of 0 or higher. If no\n  `maxlength` is specified, or an invalid value is specified, the input\n  has no maximum length. This value must also be greater than or equal\n  to the value of `minlength`.\n\n  Defaults to `nil`.\n* `min` (`:string`) - The maximum value allowed for types that support it.\n\n  If both the `max` and `min` attributes are set, this value must\n  less than or equal to the `min` attribute.","ref":"Elemental.DataInput.Input.html#input/1-value-per-type"},{"type":"function","title":"Value per type - Elemental.DataInput.Input.input/1","doc":"- `date` - a possible date string in the format `yyyy-mm-dd`.\n  - `datetime-local` - a valid datetime string that follows the\n    format `YYYY-MM-DDTHH:mm`.\n  - `month` - a valid string in `yyyy-MM` format.\n  - `number` - a valid number.\n  - `range` - a valid number.\n  - `time` - a valid time in `HH:mm` format.\n  - `week` - a valid week in `YYYY-W ` format.\n\n\n  > Invalid values imply no `min` value.\n\n  Defaults to `nil`.\n* `minlength` (`:string`) - The minimum string length (measured in UTF-16 code units) that the user can\n  enter into the input. This must be a non-negative integer value smaller\n  than or equal to the value specified by `maxlength`. If no `minlength`\n  is specified, or an invalid value is specified, the input has no\n  minimum length.\n\n  Defaults to `nil`.\n* `multiple` (`:boolean`) - A Boolean attribute which, if present, indicates that the user can enter a\n  list of multiple values, separated by commas and, optionally, whitespace\n  characters.\n\n  Defaults to `nil`.\n* `pattern` (`:string`) - A regular expression that the input's value must match for the value to pass\n  constraint validation. It must be a valid JavaScript regular expression.\n\n  Defaults to `nil`.\n* `placeholder` (`:string`) - A string that provides a brief hint to the user as to what kind of\n  information is expected in the field.\n\n  > The text _must_ not include carriage returns or line feeds.\n\n  Defaults to `nil`.\n* `readonly` (`:boolean`) - If present, means this field cannot be edited by the user. Defaults to `nil`.\n* `step` (`:string`) - The step value which specifies the number for the granularity\n  of the step or the special value `any`, allowed for types\n  that support it.","ref":"Elemental.DataInput.Input.html#input/1-value-per-type"},{"type":"function","title":"Values per type - Elemental.DataInput.Input.input/1","doc":"- `date` - given in days; and is treated as a number of milliseconds\n    equal to 86,400,000 times the `step` value (the underlying numeric\n    value is in milliseconds). The default value of `step` is 1,\n    indicating 1 day.\n  - `datetime-local` - given in seconds, with a scaling factor of 1000\n    (since the underlying numeric value is in milliseconds). The\n    default value of `step` is 60, indicating 60 seconds (or\n    1 minute, or 60,000 milliseconds).\n  - `month` - given in months, with a scaling factor of 1 (since the underlying\n    numeric value is also in months). The default value of step is 1 month.\n  - `number` - a valid number; the default stepping value for number\n    inputs is 1, allowing only integers to be entered—_unless_ the\n    stepping base is not an integer.\n  - `range` - a valid number; the default stepping value for number\n    inputs is 1, allowing only integers to be entered—_unless_ the\n    stepping base is not an integer.\n  - `time` - given in seconds, with a scaling factor of 1000 (since\n    the underlying numeric value is in milliseconds). The default\n    value of step is 60, indicating 60 seconds (or 1 minute,\n    or 60,000 milliseconds).\n  - `week` - given in weeks, with a scaling factor of 604,800,000\n    (since the underlying numeric value is in milliseconds).\n    The default value of step is 1, indicating 1 week.\n\n  > Note: When the data entered by the user doesn't adhere to the stepping configuration, the user agent may round to the nearest valid value, preferring numbers in the positive direction when there are two equally close options.\n\n  ## `any` value\n\n  - A string value of any means that no stepping is implied, and any value\n    is allowed (barring other constraints, such as `min` and `max`).\n  - Specifying `any` as the value for `step` has the same effect as 1 for\n    `date` inputs.\n\n  Defaults to `nil`.\n* Global attributes are accepted. Pass arbitrary attributes over to the input.","ref":"Elemental.DataInput.Input.html#input/1-values-per-type"},{"type":"function","title":"Elemental.DataInput.Input.radio/1","doc":"Shorthand for `<.input type=\"radio\" />`","ref":"Elemental.DataInput.Input.html#radio/1"},{"type":"function","title":"Attributes - Elemental.DataInput.Input.radio/1","doc":"* `name` (`:string`) - The name of the radio, if not given a random value is selected.\n* `value` (`:string`) - The value of the radio, sent to the form if select. Defaults to `nil`.\n* `checked` (`:boolean`) - The checked flag for the radio. Defaults to `nil`.\n* `color` (`:string`) - The radio's color.Must be one of `\"ghost\"`, `\"neutral\"`, `\"primary\"`, `\"secondary\"`, `\"accent\"`, `\"info\"`, `\"success\"`, `\"warning\"`, or `\"error\"`.\n* `size` (`:string`) - The radio's size.Must be one of `\"xs\"`, `\"sm\"`, `\"md\"`, `\"lg\"`, or `\"xl\"`.\n* `class` (`:any`) - Additional CSS classes to pass to the radio. Defaults to `nil`.\n* Global attributes are accepted. Pass arbitrary attributes over to the radio.","ref":"Elemental.DataInput.Input.html#radio/1-attributes"},{"type":"module","title":"Elemental.DataInput.Select","doc":"> An abstraction on top of DaisyUI's (& plain HTML) select.\n\nThis abstracts native HTML selects providing an API that is compatible\n1-1 with `Elemental.DataInput.Dropdown` aiming to provide consistency between\nthe main/core input components provided by Elemental.","ref":"Elemental.DataInput.Select.html"},{"type":"module","title":"Usage - Elemental.DataInput.Select","doc":"Most basic usage is done by simply passing it `options`\n\n    <.select options={[\"Foo\", \"Bar\"]}/>\n\nSee `select/1` for details on the support properties and their behaviour.","ref":"Elemental.DataInput.Select.html#module-usage"},{"type":"function","title":"Elemental.DataInput.Select.select/1","doc":"> The primary select component.","ref":"Elemental.DataInput.Select.html#select/1"},{"type":"function","title":"Attributes - Elemental.DataInput.Select.select/1","doc":"* `options` (`:list`) (required) - The list of values to select between. This is required to either be a list of\n  strings, or a list of string tuples.","ref":"Elemental.DataInput.Select.html#select/1-attributes"},{"type":"function","title":"List item types - Elemental.DataInput.Select.select/1","doc":"- If given as a list of strings (`[String.t]`) each option will use that value\n    as both it's label and value sent to from the dropdown.\n  - If give as a list of tuples (`[{String.t, String.t}]`), those tuples are expected\n    to be two strings, the first being the label to use, while the second is\n    expected to be the value to send from the dropdown.\n  - Mixing the two forms is allowed.\n  - Nested lists translate to option groups. See `Phoenix.HTML.Form.options_for_select/2`.\n\n* `prompt` (`:string`) - The prompt to display for the the select. Defaults to `nil`.\n* `name` (`:string`) - The name of the select, if not given a random value is selected.\n* `value` (`:string`) - A value that is selected currently by the component.\n\n  Useful for either preselecting items or to maintaining selected\n  items state across rerenders.\n\n  Defaults to `nil`.\n* `color` (`:string`) - The select prompt color.Must be one of `\"ghost\"`, `\"neutral\"`, `\"primary\"`, `\"secondary\"`, `\"accent\"`, `\"info\"`, `\"success\"`, `\"warning\"`, or `\"error\"`.\n* `size` (`:string`) - The select prompt size.Must be one of `\"xs\"`, `\"sm\"`, `\"md\"`, `\"lg\"`, or `\"xl\"`.\n* `class` (`:string`) - Additional CSS classes to pass to the select. Defaults to `nil`.\n* Global attributes are accepted.","ref":"Elemental.DataInput.Select.html#select/1-list-item-types"},{"type":"module","title":"Elemental.Feedback.Alert","doc":"An alert display component. Can display arbitrary content shown as an\nalert. Alerts can have multiple types each styled appropriately.\n\nThis component is mostly meant as a building block, for a more complete\ntoast/alerting/messaging component checkout `Elemental.Feedback.Toast`\nwhich builds on top of this component to provide a toast-group/flash\nsystem.","ref":"Elemental.Feedback.Alert.html"},{"type":"function","title":"Elemental.Feedback.Alert.alert/1","doc":"> The primary alert component.","ref":"Elemental.Feedback.Alert.html#alert/1"},{"type":"function","title":"Attributes - Elemental.Feedback.Alert.alert/1","doc":"* `type` (`:string`) - The type of this alert.Must be one of `\"info\"`, `\"success\"`, `\"warning\"`, or `\"error\"`.\n* `outline` (`:boolean`) - Render the alert in an outline style. Defaults to `false`.\n* `dash` (`:boolean`) - Render the alert in dash style. Defaults to `false`.\n* `soft` (`:boolean`) - Render the alert in soft style. Defaults to `false`.\n* `direction` (`:string`) - The layout's direction, vertical which is better for mobile and\n  horizontal which is better for desktop.\nMust be one of `\"vertical\"`, or `\"horizontal\"`.\n* Global attributes are accepted.","ref":"Elemental.Feedback.Alert.html#alert/1-attributes"},{"type":"function","title":"Slots - Elemental.Feedback.Alert.alert/1","doc":"* `inner_block` (required) - .","ref":"Elemental.Feedback.Alert.html#alert/1-slots"},{"type":"module","title":"Elemental.Feedback.Live.ToastGroup","doc":"A live/stateful toast component, allows for more dynamic toasts granting\nconsumers the ability to send server events to display or dismiss\ntoasts based on events.\n\nRenders a live/stateful `Elemental.Feedback.Toast.toast_group/1` and attaches\nmultiple handler to allow for dynamic handling of toast messages.","ref":"Elemental.Feedback.Live.ToastGroup.html"},{"type":"module","title":"Usage - Elemental.Feedback.Live.ToastGroup","doc":"In your application where you want to add the toast sub-system simply add\n\n    <.live_component module={Elemental.Feedback.Live.ToastGroup} />\n\nAdditionally, the main `Elemental.Feedback.Toast.toast_group/1` supports the\n`live` attribute allowing it to act as a pass through, this simplifies\nthings to doing\n\n     \n\nThe second form can further be simplified if you `use Elemental` to just\n\n    <.toast_group live />\n\nTo send a message you can use the `send_message/2` function or you can\nsend a list of messages by using the `send_messages/2` function.\n\nThose functions abstract away all the details needed and require you\nonly optionally pass it an `id` option to the live toast group if\nyou have many in your application.\n\n    defmodule MyPage do\n      # your normal app setup\n\n      use Elemental\n      # or alias Elemental.Feedback.Live.ToastGroup\n\n      # your normal page implementation\n\n      def handle_event(\"some-event\", params, socket) do\n        # handle your event normally\n        # now you can send the user a toast by calling\n        ToastGroup.send_message(\"Some notice to the user\")\n        # remainder of your event handler\n      end\n    end","ref":"Elemental.Feedback.Live.ToastGroup.html#module-usage"},{"type":"module","title":"Phoenix' flash system - Elemental.Feedback.Live.ToastGroup","doc":"You can also pass the `flash` attribute bound to Phoenix' flash system\nand would carry over the same behaviour as defined in the stateless\nvariant, i.e. it should interoperate with it normally without\nany additional work form the consumer side.\n\nPhoenix' flashes are rendered immediately after any messages passed/sent\nover via the `Elemental.Feedback.Live.ToastGroup` module.","ref":"Elemental.Feedback.Live.ToastGroup.html#module-phoenix-flash-system"},{"type":"type","title":"Elemental.Feedback.Live.ToastGroup.level/0","doc":"","ref":"Elemental.Feedback.Live.ToastGroup.html#t:level/0"},{"type":"type","title":"Elemental.Feedback.Live.ToastGroup.message/0","doc":"","ref":"Elemental.Feedback.Live.ToastGroup.html#t:message/0"},{"type":"function","title":"Elemental.Feedback.Live.ToastGroup.put_flash/3","doc":"Drop-in for Phoenix' `Phoenix.LiveView.put_flash/3` that instead sends the\nmessage over via the handles of the live toast group.\n\nThis captures the original behaviour and doesn't set the Phoenix flash\nrelated assigns instead passing it directly (and as is) to the main\n`Elemental.Feedback.Toast.toast_group/1` component as a message.","ref":"Elemental.Feedback.Live.ToastGroup.html#put_flash/3"},{"type":"function","title":"Elemental.Feedback.Live.ToastGroup.send_message/2","doc":"Send a message to the associated live toast group.\n\nAccepts a single message in the format accepted by `Elemental.Feedback.Toast.toast_group/1`.\n\nSee `send_message/4` for details.","ref":"Elemental.Feedback.Live.ToastGroup.html#send_message/2"},{"type":"function","title":"Elemental.Feedback.Live.ToastGroup.send_message/4","doc":"Send a message to the associated live toast group.\n\nDefaults to sending the message to a live component identified by the ID\n`toast-group`, if you're using a custom ID pass the\n`:id` option.","ref":"Elemental.Feedback.Live.ToastGroup.html#send_message/4"},{"type":"function","title":"Elemental.Feedback.Live.ToastGroup.send_messages/2","doc":"Send a list of messages to the associated live toast group.\n\nAccepts a list of messages in the format accepted by `Elemental.Feedback.Toast.toast_group/1`.\n\nSee `send_message/2` for details.","ref":"Elemental.Feedback.Live.ToastGroup.html#send_messages/2"},{"type":"module","title":"Elemental.Feedback.Loading","doc":"> Exposing Daisy loaders as Phoenix components.","ref":"Elemental.Feedback.Loading.html"},{"type":"module","title":"Usage - Elemental.Feedback.Loading","doc":"<.loading />","ref":"Elemental.Feedback.Loading.html#module-usage"},{"type":"function","title":"Elemental.Feedback.Loading.loading/1","doc":"A wrapper around all DaisyUI's loading components.","ref":"Elemental.Feedback.Loading.html#loading/1"},{"type":"function","title":"Attributes - Elemental.Feedback.Loading.loading/1","doc":"* `type` (`:string`) - Specify the type of loader to use. Defaults to `\"spinner\"`.\n* `color` (`:string`) - Choose which color the loading component will be.Must be one of `\"ghost\"`, `\"neutral\"`, `\"primary\"`, `\"secondary\"`, `\"accent\"`, `\"info\"`, `\"success\"`, `\"warning\"`, or `\"error\"`.\n* `size` (`:string`) - Choose which size the loading component will be.Must be one of `\"xs\"`, `\"sm\"`, `\"md\"`, `\"lg\"`, or `\"xl\"`.\n* `screen_reader_text` (`:string`) - Set the hidden text intended for screen readers. Defaults to `\"Loading...\"`.","ref":"Elemental.Feedback.Loading.html#loading/1-attributes"},{"type":"module","title":"Elemental.Feedback.Progress","doc":"> Display progress via Daisy's progress component.","ref":"Elemental.Feedback.Progress.html"},{"type":"function","title":"Elemental.Feedback.Progress.progress/1","doc":"> The primary progress component.\n\nSupports both normal ` ` HTML element as well as a radially\ndesigned variant (backed by ` `).\n\nThis will display as content of ` ` (or shown inside radial)\nthe rounded percentage of the progress based on the value and\nthe max defined.\n\nIf `value` is not given (or is `nil`) in `radial` mode then it'll be\ndefaulted to `0` while in the non-radial mode will trigger the\nintermediate state which shows a progress bar animating.","ref":"Elemental.Feedback.Progress.html#progress/1"},{"type":"function","title":"Attributes - Elemental.Feedback.Progress.progress/1","doc":"* `value` (`:any`) - The current value in the progress. Must be an integer, a\n  floating number, or a string that can be parsed as an\n  integer or a floating number.","ref":"Elemental.Feedback.Progress.html#progress/1-attributes"},{"type":"function","title":"Caveats - Elemental.Feedback.Progress.progress/1","doc":"- If `radial` attribute is enabled this defaults to zero.\n  - If `radial` is disabled this will trigger the intermediate\n    state defined for the ` ` HTML element.\n\n  Defaults to `nil`.\n* `max` (`:any`) - The maximum value to use. Must be an integer, a floating\n  number, or a string that can be parsed as an integer\n  or a floating number.\n\n  Defaults to `100`.\n* `radial` (`:boolean`) - Enables the radial view of the progress. Defaults to `false`.\n* `color` (`:string`) - The style to use for the progress.","ref":"Elemental.Feedback.Progress.html#progress/1-caveats"},{"type":"function","title":"Caveats - Elemental.Feedback.Progress.progress/1","doc":"If `radial` attribute is not enabled then the `-content`\n  variants of Daisy' colors are all ignored/ineffective.\nMust be one of `\"ghost\"`, `\"neutral\"`, `\"primary\"`, `\"secondary\"`, `\"accent\"`, `\"info\"`, `\"success\"`, `\"warning\"`, `\"error\"`, `\"neutral-content\"`, `\"primary-content\"`, `\"secondary-content\"`, `\"accent-content\"`, `\"info-content\"`, `\"success-content\"`, `\"warning-content\"`, or `\"error-content\"`.\n* `class` (`:any`) - Additional CSS classes to pass to the component. Defaults to `nil`.\n* Global attributes are accepted.","ref":"Elemental.Feedback.Progress.html#progress/1-caveats"},{"type":"module","title":"Elemental.Feedback.Toast","doc":"An abstraction built on top of Daisy's toast component for building\ntoast messages, flash messages, and more.\n\nProvides a set of dead/stateless components for use to operate displaying\ninformative messages, with a simplified API that augments Phoenix'\nflashes.","ref":"Elemental.Feedback.Toast.html"},{"type":"module","title":"Usage - Elemental.Feedback.Toast","doc":"The most bare bones component provided is the `toast/1` component\nwhich is meant as a building block container for placing toasts\ngenerally speaking based on Daisy's `toast` component\n\n    <.toast>\n      You toast content here\n    </.toast>\n\nFor toast message use cases we provide the `toast_group/1` component\nwhich given a list of messages will display them stacked in a `toast/1`\ncomponent under the `Elemental.Feedback.Alert.alert/1` component.\n\n    <.toast_group messages={[\"Some message\"]} />\n\nAdditionally we provide a compatibility component `flash_group/1`\nas a drop in for Phoenix' generated component\n\n    <.flash_group flash={@flash} />","ref":"Elemental.Feedback.Toast.html#module-usage"},{"type":"module","title":"Live component - Elemental.Feedback.Toast","doc":"We provide a live/stateful component for toast groups under\n`Elemental.Feedback.Live.ToastGroup`, this can be accessed\nby passing the `live` attribute to `toast_group/1`\n\n    <.toast_group live />\n\nThe live variant allows for sending messages from the server side\nprogrammatically/dynamically.","ref":"Elemental.Feedback.Toast.html#module-live-component"},{"type":"function","title":"Elemental.Feedback.Toast.flash_group/1","doc":"Drop in for Phoenix' flash group.","ref":"Elemental.Feedback.Toast.html#flash_group/1"},{"type":"function","title":"Attributes - Elemental.Feedback.Toast.flash_group/1","doc":"* `id` (`:string`) - Defaults to `nil`.\n* `flash` (`:map`) (required)","ref":"Elemental.Feedback.Toast.html#flash_group/1-attributes"},{"type":"function","title":"Elemental.Feedback.Toast.toast/1","doc":"The primary toast component, this guarantees a content to be displayed\nin the provided placement on the page.\n\nThis is meant more as a building block for composing more complete/complex\ntoast messages/overlays.\n\nYou probably want to use `toast_group/1` if you want to display simple\nmessages.","ref":"Elemental.Feedback.Toast.html#toast/1"},{"type":"function","title":"Caveat - Elemental.Feedback.Toast.toast/1","doc":"Note that if you place two toasts with the same placement there will\nbe no guarantee from the component on which comes on top, probably\nthe second to show in the DOM tree will.\n\nThis is by design as it's intended to use one toast per placement\n(or even per page).","ref":"Elemental.Feedback.Toast.html#toast/1-caveat"},{"type":"function","title":"Attributes - Elemental.Feedback.Toast.toast/1","doc":"* `id` (`:string`) - Defaults to `\"toast\"`.\n* `placement` (`:string`) - The positioning of the toast stack. Defaults to `\"top-end\"`.\n* Global attributes are accepted.","ref":"Elemental.Feedback.Toast.html#toast/1-attributes"},{"type":"function","title":"Slots - Elemental.Feedback.Toast.toast/1","doc":"* `inner_block` (required)","ref":"Elemental.Feedback.Toast.html#toast/1-slots"},{"type":"function","title":"Elemental.Feedback.Toast.toast_group/1","doc":"Provides an abstraction on top of `toast/1` for displaying a list alerts\nfor the user. Relies on `Elemental.Feedback.Alert.alert/1` for\nrendering the specific messages under the hood.\n\n> This component is intended for building toast/flash messaging systems.\n\nThis component doesn't respect Phoenix' default flashes API by default,\nhowever you can pass Phoenix' flash into the `flash` attribute to\ndisplay Phoenix' flashes inlined, immediately after normal\nmessages. For a more seamless integration you can use\nthe `flash_group/1` component.","ref":"Elemental.Feedback.Toast.html#toast_group/1"},{"type":"function","title":"Caveats - Elemental.Feedback.Toast.toast_group/1","doc":"Inherent to the `toast/1` component which this component is built of, it\nwon't play nice to having another toast group with messages overlapping\nit and the behaviour won't be controlled by Elemental in such cases.\n\nIf you want to have multiple toast groups on the same placement you're\nbetter off building on top of `toast/1` directly instead.","ref":"Elemental.Feedback.Toast.html#toast_group/1-caveats"},{"type":"function","title":"Phoenix flash system integration - Elemental.Feedback.Toast.toast_group/1","doc":"To allow seamless interoperability with Phoenix' flash system, if passed\nPhoenix' flash messages via the `flash` attribute.\n\nAny message originating from Phoenix' flash system will ignore the any\nprovided value for `on-clear` and instead send the Phoenix event of\n`lv:clear-flash`.\n\nAlso, messages originating from Phoenix' flash subsystem will be rendered immediately\nafter the messages formatted via `Elemental.Feedback.Toast.toast_group/1` and in\nan identical styling via the `Elemental.Feedback.Alert.alert/1` component.","ref":"Elemental.Feedback.Toast.html#toast_group/1-phoenix-flash-system-integration"},{"type":"function","title":"Phoenix' client and server errors - Elemental.Feedback.Toast.toast_group/1","doc":"This component will display Phoenix' client and server errors by default, these\nerrors are non-closeable and will stay until the client side reconnects\nproperly with the server side. This can be controlled by the\n`phoenix-errors` attribute. Note these messages won't\ntrigger `on-clear` events when disappearing.","ref":"Elemental.Feedback.Toast.html#toast_group/1-phoenix-client-and-server-errors"},{"type":"function","title":"Attributes - Elemental.Feedback.Toast.toast_group/1","doc":"* `id` (`:string`) - The ID used for the toast group component. Defaults to `\"toast-group\"`.\n* `live` (`:boolean`) - Enables the LiveComponent to be rendered in place of the stateless/dead\n  component which is the default.\n\n  If enabled you can use `Elemental.Feedback.Live.ToastGroup` module to interact\n  dynamically with the toast group and send messages from the server side\n  dynamically.\n\n  Enabling this disables support for passing `messages`, `on-clear` and the global\n  attributes.\n\n  Defaults to `false`.\n* `messages` (`:any`) - The list of messages to display in the group, ignored if `live` is enabled.\n  Required otherwise.","ref":"Elemental.Feedback.Toast.html#toast_group/1-attributes"},{"type":"function","title":"Type - Elemental.Feedback.Toast.toast_group/1","doc":"Accepts either a list or a `Phoenix.LiveView.LiveStream`, with each item standing\n  for a message and must be one type as one of the following;\n\n  1. `String.t` indicating the message is simply some text context to display. No\n     title is displayed for it and it will be shown in the default alert style.\n  2. `{String.t, String.t}` indicating a message where the first item is the alert type\n     to use, as defined in `Elemental.Feedback.Alert.alert/1`, and the second is\n     the message content itself. The alert level/type will be used as title.\n  3. `{String.t, String.t, String.t}` indicating a message where the first item is the\n     alert type to use, as defined in `Elemental.Feedback.Alert.alert/1`, the second\n     is the message's title to display, and the third indicating the message content\n     itself.\n\n  Mixing those types is in one list of messages is allowed an will be normalized.\n\n  > This list of messages can also be provided from a LiveView stream, where each item\n  > coming from the stream must respect the defined typings for the message items.\n\n* `flash` (`:map`) - In order to provide compatibility with Phoenix' flash subsystem we accept a\n  flash attribute as defined by Phoenix and do render it right after the\n  messages passed in `Elemental.Feedback.Toast.toast_group/1` style.\n\n  Flash messages will ignore the `on-clear` and `phx-target` and instead emit\n  an `lv:clear-flash` event when cleared without a predefined target. This\n  is to stay inline with how Phoenix expects those to behave.\n\n  Defaults to `%{}`.\n* `placement` (`:string`) - The positioning of the toast stack. Defaults to `\"top-end\"`.\n* `on-clear` (`:string`) - The event to emit on closing of an alert\n\n  > Ignored if `live` is enabled.\n\n  Defaults to `nil`.\n* `phoenix-errors` (`:boolean`) - Controls showing Phoenix' client and server errors. Defaults to `true`.\n* `outline` (`:boolean`) - Render the alert in an outline style. Defaults to `false`.\n* `dash` (`:boolean`) - Render the alert in dash style. Defaults to `false`.\n* `soft` (`:boolean`) - Render the alert in soft style. Defaults to `false`.","ref":"Elemental.Feedback.Toast.html#toast_group/1-type"},{"type":"module","title":"Elemental.Feedback.Tooltip","doc":"> Exposing Daisy tooltips as Phoenix components.","ref":"Elemental.Feedback.Tooltip.html"},{"type":"module","title":"Usage - Elemental.Feedback.Tooltip","doc":"<.tooltip tip=\"Tooltip value.\">\n      Something with a tooltip.\n    </.tooltip>","ref":"Elemental.Feedback.Tooltip.html#module-usage"},{"type":"function","title":"Elemental.Feedback.Tooltip.tooltip/1","doc":"Provides a Phoenix functional component wrapping the tooltip CSS based component.\n\nWraps a given inner slot with a `div` defining the tooltip attribute, and maps\nthe given attributes to useful tooltip properties.","ref":"Elemental.Feedback.Tooltip.html#tooltip/1"},{"type":"function","title":"Attributes - Elemental.Feedback.Tooltip.tooltip/1","doc":"* `tip` (`:string`) (required) - The text of the tooltip to display.\n* `position` (`:string`) - The positioning of the tooltip. Defaults to `\"top\"`.\n* `color` (`:string`) - The color to use for the tooltip.Must be one of `\"ghost\"`, `\"neutral\"`, `\"primary\"`, `\"secondary\"`, `\"accent\"`, `\"info\"`, `\"success\"`, `\"warning\"`, or `\"error\"`.\n* `open` (`:boolean`) - Where to have the tooltip open immediately. Defaults to `false`.","ref":"Elemental.Feedback.Tooltip.html#tooltip/1-attributes"},{"type":"function","title":"Slots - Elemental.Feedback.Tooltip.tooltip/1","doc":"* `inner_block` (required)","ref":"Elemental.Feedback.Tooltip.html#tooltip/1-slots"},{"type":"module","title":"Elemental.Navigation.Breadcrumbs","doc":"> Exposing Daisy breadcrumbs as Phoenix components.","ref":"Elemental.Navigation.Breadcrumbs.html"},{"type":"module","title":"Usage - Elemental.Navigation.Breadcrumbs","doc":"<.breadcrumbs>\n      <:item>Foo</:item>\n      <:item>Bar</:item>\n      <:item> Baz </:item>\n    </.breadcrumbs>","ref":"Elemental.Navigation.Breadcrumbs.html#module-usage"},{"type":"function","title":"Elemental.Navigation.Breadcrumbs.breadcrumbs/1","doc":"A wrapper around DaisyUI's breadcrumbs.","ref":"Elemental.Navigation.Breadcrumbs.html#breadcrumbs/1"},{"type":"function","title":"Attributes - Elemental.Navigation.Breadcrumbs.breadcrumbs/1","doc":"* `class` (`:any`)\n* Global attributes are accepted.","ref":"Elemental.Navigation.Breadcrumbs.html#breadcrumbs/1-attributes"},{"type":"function","title":"Slots - Elemental.Navigation.Breadcrumbs.breadcrumbs/1","doc":"* `item` (required) - Specify the items in the breadcrumb.","ref":"Elemental.Navigation.Breadcrumbs.html#breadcrumbs/1-slots"},{"type":"module","title":"Elemental.Navigation.Dock","doc":"Implements a dock component, this is most useful for mobile views.\n\n> `  `is required\n> for responsiveness of the dock in iOS.","ref":"Elemental.Navigation.Dock.html"},{"type":"module","title":"Usage - Elemental.Navigation.Dock","doc":"<%# name is provided by the dock if needed %>\n    <.dock :let={_name}>\n      <%# id is provided so you can link the proposed button to the label %>\n      <.dock_action :let={_id} selected>\n        <:label>Home</:label>\n        <%# Some action/button to route the user home %>\n      </.dock_action>\n      <.dock_action>\n        <:label :let={_id}>Inbox</:label>\n        <%# Some action/button to route the user inbox %>\n      </.dock_action>\n      <.dock_action :let={_id}>\n        <:label>Settings</:label>\n        <%# Some action/button to route the user settings %>\n      </.dock_action>\n    </.dock>","ref":"Elemental.Navigation.Dock.html#module-usage"},{"type":"function","title":"Elemental.Navigation.Dock.dock/1","doc":"> The primary dock component.","ref":"Elemental.Navigation.Dock.html#dock/1"},{"type":"function","title":"Attributes - Elemental.Navigation.Dock.dock/1","doc":"* `name` (`:string`) - The name of the dock.\n\n  This will be provided as an argument for the inner content\n  provided in case it is needed by your action.\n\n  Defaults to `\"dock\"`.\n* `size` (`:string`) - Control the size of the dock and it's actions.Must be one of `\"xs\"`, `\"sm\"`, `\"md\"`, `\"lg\"`, or `\"xl\"`.\n* `class` (`:any`) - Additional CSS classes to add to the dock. Defaults to `nil`.","ref":"Elemental.Navigation.Dock.html#dock/1-attributes"},{"type":"function","title":"Slots - Elemental.Navigation.Dock.dock/1","doc":"* `inner_block` (required) - The inner content of the dock, this is used to set the actions of the dock\n  and is expected to be made up of `dock_action/1` components one for each\n  action you are defining.","ref":"Elemental.Navigation.Dock.html#dock/1-slots"},{"type":"function","title":"Elemental.Navigation.Dock.dock_action/1","doc":"> The primary dock action component.","ref":"Elemental.Navigation.Dock.html#dock_action/1"},{"type":"function","title":"Attributes - Elemental.Navigation.Dock.dock_action/1","doc":"* `id` (`:any`) - An identifier for the action you're adding.\n\n  > Defaults to a random value, this is used to link up\n  > the internal label with the action you provide.\n\n* `for` (`:string`) - The name of the dock.\n\n  > You can use this to keep track in case you (for whatever reason)\n  > have multiple docks in your page.\n\n  Defaults to `\"dock\"`.\n* `selected` (`:boolean`) - Whether the current dock action is selected. Defaults to `false`.","ref":"Elemental.Navigation.Dock.html#dock_action/1-attributes"},{"type":"function","title":"Slots - Elemental.Navigation.Dock.dock_action/1","doc":"* `label` - The label for your dock action, can be anything allowed within\n  the ` ` HTML element. This will be linked to the\n  `id` you provide (or the random one generated).\n\n  This will receive the `dock-label` part class.\n\n  Accepts attributes:\n\n  * `class` (`:any`) - Additional CSS classes to label.\n* `inner_block` (required) - An arbitrary HTML  content to set as action you provide for the\n  dock. You can put anything here but probably it makes more\n  sense to set it as a button or a link of some kind.","ref":"Elemental.Navigation.Dock.html#dock_action/1-slots"},{"type":"module","title":"Elemental.Navigation.Link","doc":"Style Phoenix' `link/1` with Daisy's `link` class.","ref":"Elemental.Navigation.Link.html"},{"type":"function","title":"Elemental.Navigation.Link.link/1","doc":"A passthrough component to `Phoenix.Component.link/1` that\nsets up the DaisyUI classes needed to style it.\n\n> By default Tailwind resets the style of links, this restores\n> the underline to links in the system.","ref":"Elemental.Navigation.Link.html#link/1"},{"type":"function","title":"Attributes - Elemental.Navigation.Link.link/1","doc":"* `color` (`:string`) - The color of the link.Must be one of `\"ghost\"`, `\"neutral\"`, `\"primary\"`, `\"secondary\"`, `\"accent\"`, `\"info\"`, `\"success\"`, `\"warning\"`, or `\"error\"`.\n* `hover` (`:boolean`) - Enable showing the underline on hover only. Defaults to `false`.\n* `navigate` (`:string`) - See `Phoenix.Component.link/1`.\n* `patch` (`:string`) - See `Phoenix.Component.link/1`.\n* `href` (`:any`) - See `Phoenix.Component.link/1`.\n* `replace` (`:boolean`) - See `Phoenix.Component.link/1`. Defaults to `false`.\n* `method` (`:string`) - See `Phoenix.Component.link/1`. Defaults to `\"get\"`.\n* `csrf_token` (`:any`) - See `Phoenix.Component.link/1`. Defaults to `true`.\n* Global attributes are accepted. See `Phoenix.Component.link/1`. Supports all globals plus: `[\"download\", \"hreflang\", \"referrerpolicy\", \"rel\", \"target\", \"type\"]`.","ref":"Elemental.Navigation.Link.html#link/1-attributes"},{"type":"function","title":"Slots - Elemental.Navigation.Link.link/1","doc":"* `inner_block` (required) - The content rendered inside of the `a` tag.","ref":"Elemental.Navigation.Link.html#link/1-slots"},{"type":"module","title":"Elemental.Navigation.Tabs","doc":"Implements a tabbed view navigation built atop Daisy's tab\ncomponent back by radio buttons. Slots are provided\nfor consumers to pass their UI elements/pages\nfor each tab.","ref":"Elemental.Navigation.Tabs.html"},{"type":"module","title":"Usage - Elemental.Navigation.Tabs","doc":"<.tabs>\n      <.tab>\n        <:title>My tab</:title>\n         \n         <%# whatever the content of the tab is %>\n         \n      </.tab>\n      <.tab>\n        <:title>My second tab</:title>\n         \n         <%# whatever the content of the tab is %>\n         \n      </.tab>\n    </.tabs>\n\n`tabs/1` is the tabbed view component, which is the container\nthat will wrap your content and manage the transitions, and\n`tab/1` is the specific tab component which will take care\nof rendering your tab and handling the internal radio\nbuttons used to select the active tab.\n\nThe name used for all `tab/1` components must match for the behaviour\nto work as expected as they're built on top of a radio group.\n\nThe default value of name is set to the same default `name` used for\n`tabs/1`. `tabs/1` will pass it's name as an argument to the inner\nblock to simplify changing it\n\n    <.tabs :let={tabs} name=\"foo-bar\">\n      <%# tabs is now a variable holding the name passed to `tabs/1` %>\n      <.tab for={tabs}>\n        <:title>My tab</:title>\n         \n         <%# whatever the content of the tab is %>\n         \n      </.tab>\n      <.tab for={tabs}>\n        <:title>My second tab</:title>\n         \n         <%# whatever the content of the tab is %>\n         \n      </.tab>\n    </.tabs>","ref":"Elemental.Navigation.Tabs.html#module-usage"},{"type":"function","title":"Elemental.Navigation.Tabs.tab/1","doc":"> The primary component for each specific tab.","ref":"Elemental.Navigation.Tabs.html#tab/1"},{"type":"function","title":"Attributes - Elemental.Navigation.Tabs.tab/1","doc":"* `for` (`:string`) - The name of the tabbed grouped.\n\n  > This must match for tabs to behave correctly as it is set as\n  > the name of the underlying radio group.\n\n  Defaults to `\"tabbed-view\"`.\n* `selected` (`:boolean`) - Whether the current tab is preselected. Defaults to `false`.","ref":"Elemental.Navigation.Tabs.html#tab/1-attributes"},{"type":"function","title":"Slots - Elemental.Navigation.Tabs.tab/1","doc":"* `title` (required) - The title of the tab, this will be wrapped in a ` ` element\n  so be mindful what you set here.\n\n  Accepts attributes:\n\n  * `class` (`:any`) - Additional CSS classes to label wrapping the title.\n* `inner_block` (required) - The content of the actual tab, this will be later controlled based\n  on which tab is currently selected.","ref":"Elemental.Navigation.Tabs.html#tab/1-slots"},{"type":"function","title":"Elemental.Navigation.Tabs.tabs/1","doc":"> The primary tabbed view component.","ref":"Elemental.Navigation.Tabs.html#tabs/1"},{"type":"function","title":"Attributes - Elemental.Navigation.Tabs.tabs/1","doc":"* `name` (`:string`) - The name of the tabbed view. Defaults to `\"tabbed-view\"`.\n* `class` (`:any`) - Additional CSS classes to add to the tabbed view. Defaults to `nil`.\n* `box` (`:boolean`) - Style the tabbed view in a box. Defaults to `false`.\n* `lift` (`:boolean`) - Style the tabbed view a lift style. Defaults to `false`.\n* `border` (`:boolean`) - Style tabs to have a bottom border. Defaults to `false`.\n* `center` (`:boolean`) - Center the tabs in the page. Defaults to `false`.\n* `placement` (`:string`) - Control the placement of the tabs relative to the content. Defaults to `\"top\"`.\n* `size` (`:string`) - Control the size of the tabs in the tabbed view.Must be one of `\"xs\"`, `\"sm\"`, `\"md\"`, `\"lg\"`, or `\"xl\"`.","ref":"Elemental.Navigation.Tabs.html#tabs/1-attributes"},{"type":"function","title":"Slots - Elemental.Navigation.Tabs.tabs/1","doc":"* `inner_block` (required) - The inner content of the tabbed view, this is expected to be made up\n  of `tab/1` components one for each tab you want.\n\n  Under the hood the expectation is for a set of radio buttons linked\n  together each bound to the content to display, the selected radio\n  determines which tab is currently selected and showing.","ref":"Elemental.Navigation.Tabs.html#tabs/1-slots"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.37.3"}}